<script>
	export default {
		globalData: {
			// navBarBgColor: '#000',
			// navBarFsColor: '#fff',
			navBarHeight: 50,
			statusBarHeight: 0, // 状态烂高度
			screenWidth: null,
			screenHeight: null,
			appVersion: null,
			appVersionCode: null
		},

		onLaunch: function() {
			uni.getSystemInfo({
				success: (res) => {
					this.globalData.statusBarHeight = res.statusBarHeight;
					this.globalData.screenWidth = res.screenWidth;
					this.globalData.screenHeight = res.screenHeight;
					this.globalData.appVersion = res.appVersion;
					this.globalData.appVersionCode = res.appVersionCode;
				},
				fail: fail => {
					console.log('fail = ', fail)
				}
			});

		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	*{
		padding: 0;
		margin: 0;
		box-sizing: border-box
	
	}
	@import '@/static/index.scss';
	/*每个页面公共css */
</style>